## org.apache.taglibs.standard.tag.common.core
Class ParamSupport.ParamManager

    java.lang.Object
      org.apache.taglibs.standard.tag.common.core.ParamSupport.ParamManager

Enclosing class:
  ParamSupport

    public static class ParamSupport.ParamManager

extends Object

Provides support for aggregating query parameters in URLs. Specifically, accepts a series of parameters, ensuring that - newer parameters will precede older ones in the output URL - all supplied parameters precede those in the input URL

Constructor Summary
`ParamSupport.ParamManager()`

Method Summary
`void` `addParameter(String name, String value)` Adds a new parameter to the list.
`String` `aggregateParams(String url)` Produces a new URL with the stored parameters, in the appropriate order.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamSupport.ParamManager

    public ParamSupport.ParamManager()

Method Detail

### addParameter

    public void addParameter(String name,
                             String value)

  Adds a new parameter to the list.

### aggregateParams

    public String aggregateParams(String url)

  Produces a new URL with the stored parameters, in the appropriate order.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.